Page MenuHomePhabricator

Store code version in mw_cirrus_metastore
Closed, ResolvedPublic

Description

When the data for wiki is reindexed, we may want to store the version of the code that created the index. This would help us to know which indexes are up-to-date and which are not, and track reindexes across different wikis.

Since Special:Version page has a lot of version information, including branch/version name, git commits, etc., we should be able to use the same information for indexes.

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptApr 25 2017, 10:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as Normal priority.May 3 2017, 11:22 PM

Change 351738 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Add version information to mw_cirrus_metastore

https://gerrit.wikimedia.org/r/351738

Deskana assigned this task to Smalyshev.May 4 2017, 5:13 PM
Deskana moved this task from needs triage to Current work on the Discovery-Search board.
Deskana moved this task from in progress to Needs review on the Discovery-Search (Current work) board.

Change 351738 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add version information to mw_cirrus_metastore

https://gerrit.wikimedia.org/r/351738

Smalyshev closed this task as Resolved.May 24 2017, 4:54 PM